# PSF-LoginServer - master - net.psforever.objects.avatar.Cosmetic
PSF - LoginServer - master - net.psforever.objects.avatar.Cosmetic
Keywords: PSF LoginServer master net.psforever.objects.avatar.Cosmetic

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

o

net.psforever.objects.avatar

# Cosmetic 

###
Companion class Cosmetic

#### case object Cosmetic extends IntEnum[Cosmetic] with Product with Serializable

Source
  Cosmetic.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[Cosmetic], ValueEnum[Int, Cosmetic], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Cosmetic
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[Set[Cosmetic]]

   Codec for object create messages

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  macro def findValues: IndexedSeq[Cosmetic]
    Attributes
      protected
    Definition Classes
      IntEnum
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val values: IndexedSeq[Cosmetic]
    Definition Classes
      Cosmetic → ValueEnum
20.  def valuesFromAttributeValue(value: Long): Set[Cosmetic]

    Get enum values from AttributeMessage value Attribute and object create messages use different indexes and the NoHelmet value becomes a YesHelmet value

21.  def valuesFromObjectCreateValue(value: Int): Set[Cosmetic]

    Get enum values from ObjectCreateMessage value

22.  def valuesToAttributeValue(values: Set[Cosmetic]): Long

    Serialize enum values to AttributeMessage value Attribute and object create messages use different indexes and the NoHelmet value becomes a YesHelmet value

23.  final lazy val valuesToEntriesMap: Map[Int, Cosmetic]
    Definition Classes
      ValueEnum
24.  def valuesToObjectCreateValue(values: Set[Cosmetic]): Int

    Serialize enum values to ObjectCreateMessage value

25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
28.  def withValue(i: Int): Cosmetic
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
29.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], Cosmetic]
    Definition Classes
      ValueEnum
30.  def withValueOpt(i: Int): Option[Cosmetic]
    Definition Classes
      ValueEnum
31.  case object Beret extends Cosmetic with Product with Serializable
32.  case object BrimmedCap extends Cosmetic with Product with Serializable
33.  case object Earpiece extends Cosmetic with Product with Serializable
34.  case object NoHelmet extends Cosmetic with Product with Serializable
35.  case object Sunglasses extends Cosmetic with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[Cosmetic]

### Inherited from ValueEnum[Int, Cosmetic]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped